%define		modname	rrdtool
Summary:	RRDtool PHP module
Summary(pl.UTF-8):	Moduł PHP RRDtool
Name:		php-rrdtool
Version:	1.2
Release:	7
License:	GPL
Group:		Applications/Databases
Source0:	http://people.ee.ethz.ch/~oetiker/webtools/rrdtool/pub/contrib/php_rrdtool.tgz
# Source0-md5:	c86a45cfc54517b9066c480bbc589d43
URL:		http://oss.oetiker.ch/rrdtool/
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.322
BuildRequires:	rrdtool-devel >= 1.2.10
BuildRequires:	sed >= 4.0
%{?requires_php_extension}
Requires:	php(core) >= 5.0.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package includes a dynamic shared object (DSO) that adds RRDtool
bindings to the PHP HTML-embedded scripting language.

%description -l pl.UTF-8
Ten pakiet zawiera dynamiczny moduł (DSO) dodający dowiązania RRDtoola
do języka skryptowego PHP.

%prep
%setup -q -n rrdtool

sed -i -e 's,/lib\>,/%{_lib},' config.m4

%build
phpize
%configure \
	--with-rrdtool=shared

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d

%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT

cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> a28f837
- use php(core) as dependency to require php version
- release 6 (by relup.sh)

* Mon Aug 06 2012 Elan Ruusamäe <glen@delfi.ee> 6e61d60
- release 6 (by relup.sh)

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 1664fc4
- release 5

* Thu Jun 03 2010 Elan Ruusamäe <glen@pld-linux.org> 00b62b9
- release 4

* Sun Nov 02 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 6dbdb12
- release 3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 4487e68
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 15414c5
- converted to UTF-8

* Tue Dec 26 2006 Elan Ruusamäe <glen@pld-linux.org> 81e558c
- no examples in tarball

* Tue Dec 26 2006 Elan Ruusamäe <glen@pld-linux.org> 15587d9
- use new php extension macros

* Thu Nov 02 2006 Elan Ruusamäe <glen@pld-linux.org> 04eb670
- BR rpmmacros for fixed %requires_php_extension

* Sun May 28 2006 Jakub Bogusz <qboosh@pld-linux.org> b6410db
- updated to new version from contrib (let's call it 1.2 as it's ready for rrdtool 1.2.x)
- removed obsolete patches, added sed hack for lib64 support

* Sun May 28 2006 Jakub Bogusz <qboosh@pld-linux.org> 4eadfb2
- obsolete

* Sat Dec 24 2005 Elan Ruusamäe <glen@pld-linux.org> 5f6782e
- rel 6 (rebuild with new php)

* Fri Oct 14 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 6177f3b
- rel 5; port to new rrdtool

* Fri Oct 14 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 9062e02
- port to new rrdtool

* Fri Oct 14 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> f8495d2
- rebuild with new rrdtool

* Thu Sep 15 2005 Elan Ruusamäe <glen@pld-linux.org> 585e788
- php api version require, rel 3

* Tue Sep 13 2005 Jakub Bogusz <qboosh@pld-linux.org> 8f24aed
- updated pl desc

* Wed Sep 07 2005 Elan Ruusamäe <glen@pld-linux.org> 93db4c9
- rel 2, STBR

* Wed Sep 07 2005 Elan Ruusamäe <glen@pld-linux.org> d86f222
- fix build on amd64

